VisimBox 1.0 VisimBox 3d simulation and visualisation ToolBox

- Main Page
- Packages
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | Protected Member Functions
VisimBuilder.ObjectCreation.BoxCreation Class Reference
Inheritance diagram for VisimBuilder.ObjectCreation.BoxCreation:

List of all members.

## Public Member Functions
| BoxCreation ()
override Node | ObjectCreation (string name, ITransformation itrans, Type VertexType, PhysBodyType physbody, PhysSettingsEdit physsettings, BoundingObjectType bounding, IRenderMaterial mat, Node owner)
override void | SetDefault ()
Vector3 | ParseString (string str)
## Public Attributes
Vector3 | Center
Vector3 | BoxSize
## Protected Member Functions
override void | Dispose (bool disposing)
| Clean up any resources being used.

## Constructor & Destructor Documentation

VisimBuilder.ObjectCreation.BoxCreation.BoxCreation | ( |  | ) |

## Member Function Documentation

override void VisimBuilder.ObjectCreation.BoxCreation.Dispose | ( | bool | disposing | ) | `[protected]`

Clean up any resources being used.

Parameters:

  disposing | true if managed resources should be disposed; otherwise, false.

Reimplemented from VisimBuilder.ObjectCreation.ObjectCreationBasePhysical.

override Node VisimBuilder.ObjectCreation.BoxCreation.ObjectCreation | ( | string | name,
|  | ITransformation | itrans,
|  | Type | VertexType,
|  | PhysBodyType | physbody,
|  | PhysSettingsEdit | physsettings,
|  | BoundingObjectType | bounding,
|  | IRenderMaterial | mat,
|  | Node | owner
| ) |  | `[virtual]`

Reimplemented from VisimBuilder.ObjectCreation.ObjectCreationBasePhysical.

Vector3 VisimBuilder.ObjectCreation.BoxCreation.ParseString | ( | string | str | ) |

override void VisimBuilder.ObjectCreation.BoxCreation.SetDefault | ( |  | ) | `[virtual]`

Reimplemented from VisimBuilder.ObjectCreation.ObjectCreationBasePhysical.

## Member Data Documentation

Vector3 VisimBuilder.ObjectCreation.BoxCreation.BoxSize

Vector3 VisimBuilder.ObjectCreation.BoxCreation.Center

The documentation for this class was generated from the following files:

- BoxCreation.cs
- BoxCreation.Designer.cs

All Classes Namespaces Files Functions Variables Enumerations Properties Events